import { Component } from '@angular/core';

@Component({
  selector: 'subclass',
  templateUrl: './subclass.component.html',
  styleUrl: './subclass.component.scss',
})
export class SubclassComponent {
  public subclass: any = {
    title: 'Peace Domain',
    description: `
      The balm of peace thrives at the heart of healthy communities, between friendly nations, and in the souls of the kindhearted. The gods of peace inspire people of all sorts to resolve conflict and to stand up against those forces that try to prevent peace from flourishing. See the Peace Deities table for a list of some of the gods associated with this domain.

      Clerics of the Peace Domain preside over the signing of treaties, and they are often asked to arbitrate in disputes. These clerics' blessings draw people together and help them shoulder one another's burdens, and the clerics' magic aids those who are driven to fight for the way of peace.
    `,
    features: [
      {
        name: 'Implement of Peace',
        level: 1,
        description: `
          When you choose this domain at 1st level, you gain proficiency in the Insight, Performance, or Persuasion skill (your choice).
        `,
      },
      {
        name: 'Emboldening Bond',
        level: 1,
        description: `
          Starting at 1st level, you can forge an empowering bond among people who are at peace with one another. As an action, you choose a number of willing creatures within 30 feet of you (this can include yourself) equal to your proficiency bonus. You create a magical bond among them for 10 minutes or until you use this feature again. While any bonded creature is within 30 feet of another, the creature can roll a d4 and add the number rolled to an attack roll, an ability check, or a saving throw it makes. Each creature can add the d4 no more than once per turn.

          You can use this feature a number of times equal to your proficiency bonus, and you regain all expended uses when you finish a long rest.
        `,
      },
      {
        name: 'Channel Divinity: Balm of Peace',
        level: 2,
        description: `
          Starting at 2nd level, you can use your Channel Divinity to make your very presence a soothing balm. As an action, you can move up to your speed, without provoking opportunity attacks, and when you move within 5 feet of any other creature during this action, you can restore a number of hit points to that creature equal to 2d6 + your Wisdom modifier (minimum of 1 hit point). A creature can receive this healing only once whenever you take this action.
        `,
      },
    ],
  };

  public subClassName: string = '';

  // public constru
}
